! @(#)necsear.prg	17.1.1.1 (ES0-DMD) 01/25/02 17:51:12
! +++++++++++++++++++++++++++++++++++++++++++++++++
!
! .IDENTIFICATION
!
! ECHELLE PROCEDURE : ECHSEAR.PRG
! J.D.Ponz			version 1.0 131084
!   M. Peron                                200390
! .PURPOSE
!
! execute the command :
! SEARCH/ECHELLE image params
!
! -------------------------------------------------
!
DEFINE/PARAM  P1  ?                   IMA    "Input frame:"
DEFINE/PARAM  P2  {WIDTH2},{THRES2}   NUMB   "Width, Threshold"
DEFINE/PARAM  P3  2.0                 NUMB   "Kappa:"
!
DEFINE/LOCAL  K/R/1/2  {P2}
WIDTH2 = K(1)
THRES2 = K(2)
!
IF WIDTH2 .LE. 0.  ERROR/ECHELLE SEARCH/ECHELLE WIDTH2
!
VERIFY/ECHELLE {P1}  EXTR
!
IF THRES2 .LE. 0 THEN
!   K(2) = (-1.)*THRES2
!   ESTIMATE/NOISE {P1} {K(2)} 
!   K(2) = OUTPUTR(3)
    ERROR/ECHELLE  SEARCH/ECHELLE  THRES2
ENDIF
!                                 SEARCH FOR EMISSION LINES
SEARCH/LINE  {P1} {WIDTH2},{K(2)} {LINTAB} {SEAMTD} EMISSION 
!                                 COMPUTE LINE POSITION IN PIXELS
COPY/DD        {ORDTAB} COEFFC {LINTAB} COEFFC
COPY/DD        {ORDTAB} COEFFI {LINTAB} COEFFI
COPY/DD        {ORDTAB} COEFFR {LINTAB} COEFFR
COPY/DD        {ORDTAB} COEFFD {LINTAB} COEFFD
!
WRITE/DESC     {LINTAB}  COEFFI/I/4/2   1,2   
! Written position of reference columns :X and :ORDER
COMPUTE/REGR   {LINTAB} :YNEW = COEFF
!
DELETE/DESCR {LINTAB}  PIXEL  ! This descriptor is cerated by SEARCH/LINE
!                               and is redefined in the context echelle.
-PURGE       {LINTAB}
RETURN

